GetDelegatedResourceAccountIndex
POST
Query the resource delegation by an account during stake1.0 phase. i.e. list all addresses that have delegated resources to an account.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
valuestringrequired
The queried account address, in Base58 format or HEX format.visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
accountstring
Account address.fromAccountsstring[]
List of account addresses that delegate resources to this account.toAccountsstring[]
List of account addresses that receive resources delegated by this account.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/getdelegatedresourceaccountindex' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{}'